1

I want to update my Joomla site from 2.5 to 3.x.

First I updated all the extensions whith available updates, then I ran the Joomla update. After updating site I got the following errors:

Strict Standards: Only variables should be assigned by reference in /home/bioproduct/domains/bioproduction.dk/public_html/testversion/plugins/system/truetypography/truetypography.php on line 50

Warning: require(/home/bioproduct/domains/bioproduction.dk/public_html/testversion/libraries/joomla/application/component/model.php): failed to open stream: No such file or directory in /home/bioproduct/domains/bioproduction.dk/public_html/testversion/administrator/components/com_virtuemart/helpers/vmmodel.php on line 24

Fatal error: require(): Failed opening required '/home/bioproduct/domains/bioproduction.dk/public_html/testversion/libraries/joomla/application/component/model.php' (include_path='.:/usr/local/lib/php') in /home/bioproduct/domains/bioproduction.dk/public_html/testversion/administrator/components/com_virtuemart/helpers/vmmodel.php on line 24

In configuration the public $error_reporting = 'maximum';

  • On a production sites, error reporting should be set to default. Please change this in your configuration.php – Lodder Nov 13 '15 at 9:18
  • sir i change it to default – Shehryar Nov 13 '15 at 9:23
  • Do you have access to your php.ini file? – Lodder Nov 13 '15 at 9:24
  • sir in which directory it is ? – Shehryar Nov 13 '15 at 9:29
  • It's not part of Joomla. It's a server file. – Lodder Nov 13 '15 at 9:35
1

Your problem is that virtuemart is out of date and therefore causing the issues as per the last part of your fatal error message.

You need to disable all virtuemart plugins prior to the update to Joomla! 3.x then once updated you download and install Virtuemart 3 and follow their update instructions also.

If you have already upgrade to Joomla! 3.x then disable the virtuemart system plugin in the Joomla! Extensions table of the database with the likes of phpmyadmin.

1

Upgrading a site using Virtuemart is almost never a one-click upgrade. I wrote a post some time ago on Joomla/Virtuemart upgrades, although for previous versions.

Try upgrading to Virtuemart 3 first (if you haven't done it already). Virtuemart 2.x does not work in Joomla 3 (as mentioned here). The upgrade should be quite straight forward, but there's no guarantee it will work right out of the box.

I often find it quicker (and easier) to start a new store from scratch, and create products and categories again. It might sound like unnecessary work, but compared to all the trouble-shooting you have to do after a one-click upgrade, it might actually be quicker. You'll get a clean start, and you can (manually) copy most of the settings from your previous store, thus saving you some time.

In addition, you're getting a less important strict standards error with a plugin called True Typography, you should upgrade or disable this plugin.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.